local _, cClass = UnitClass("player")
if (cClass ~= "DRUID") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
		
	-- Barkskin
	if (GetSpellInfo(22812) ~= nil) then
		tmplist[string.lower(GetSpellInfo(22812))] = { color={0,1,0}, name=GetSpellInfo(22812), }
	end
	
	-- Berserk
	if (GetSpellInfo(50334) ~= nil) then
		tmplist["50334"] = { name=GetSpellInfo(50334), color={1,0,0}, }
	end
	
	-- Tiger's Fury
	if (GetSpellInfo(5217) ~= nil) then
		tmplist[string.lower(GetSpellInfo(5217))] = { color={1,0,0}, name=GetSpellInfo(5217), }
	end
	
	-- Cat Dash
	if (GetSpellInfo(1850) ~= nil) then
		tmplist[string.lower(GetSpellInfo(1850))] = { color={0,1,0}, name=GetSpellInfo(1850), }
	end
	
	-- StarFall
	if (GetSpellInfo(50288) ~= nil) then
		tmplist[string.lower(GetSpellInfo(50288))] = { color={0.125, 0.698, 0.686}, name=GetSpellInfo(50288), }
	end
	
	-- Survival Instincts
	if (GetSpellInfo(61336) ~= nil) then
		tmplist[string.lower(GetSpellInfo(61336))] = { color={1,0,0}, name=GetSpellInfo(61336), }
	end
	
	-- Clearcasting (From Omen of Clarity)
	if (GetSpellInfo(16870) ~= nil) then
		tmplist[string.lower(GetSpellInfo(16870))] = { color={0,0,1}, name=GetSpellInfo(16870), }
	end
	
	-- Savage Roar
	if (GetSpellInfo(52610) ~= nil) then
		tmplist[string.lower(GetSpellInfo(52610))] = { color={1, 0.5, 0}, name=GetSpellInfo(52610), }
	end
	
	-- Predator's Swiftness (instant cast nature spell)
	if (GetSpellInfo(69369) ~= nil) then
		tmplist[string.lower(GetSpellInfo(69369))] = { color={0.47, 1, 0.298}, name=GetSpellInfo(69369), }
	end
	
	-- Tree of Life 72,177,204
	if (GetSpellInfo(33891) ~= nil) then
		tmplist[string.lower(GetSpellInfo(33891))] = { color={0.28, 0.69, 0.8}, name=GetSpellInfo(33891), }
	end
	
	tmplist["combatlog"] = { }
	
	if (GetSpellInfo(33831) ~= nil) then
		tmplist["combatlog"]["33831"] = { name=GetSpellInfo(33831), color={0.73,0.55,0.55}, dur=15, cast=true, } -- Force of Nature
	end
	
	return tmplist
end
