local _, cClass = UnitClass("player")
if (cClass ~= "WARRIOR") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
	
	if (GetSpellInfo(52437) ~= nil) then
		-- Sudden Death
		tmplist[string.lower(GetSpellInfo(52437))] = { color={0.7,0.1,0.1}, name=GetSpellInfo(52437), }
	end
	
	if (GetSpellInfo(56636) ~= nil) then
		-- Taste for Blood
		tmplist[string.lower(GetSpellInfo(56636))] = { color={1,0.5,0}, name=GetSpellInfo(56636), }
	end
	
	if (GetSpellInfo(46924) ~= nil) then
		-- Bladestorm
		tmplist[string.lower(GetSpellInfo(46924))] = { color={0.93,0.98,0.51}, name=GetSpellInfo(46924), }
	end
	
	if (GetSpellInfo(871) ~= nil) then
		-- Shield Wall
		tmplist[string.lower(GetSpellInfo(871))]   = { color={0.7,0.1,0.1}, name=GetSpellInfo(871), }
	end
	
	if (GetSpellInfo(12975) ~= nil) then
		-- Last Stand
		tmplist[string.lower(GetSpellInfo(12975))] = { color={0.8,0.2,0.1}, name=GetSpellInfo(12975), }
	end
	
	if (GetSpellInfo(46916) ~= nil) then
		-- Slam! (triggered by Bloodsurge)
		tmplist[string.lower(GetSpellInfo(46916))] = { color={1,0,0.5}, name=GetSpellInfo(46916), }
	end
	
	if (GetSpellInfo(50227) ~= nil) then
		-- Sword and Board
		tmplist[string.lower(GetSpellInfo(50227))] = { color={0,0,1}, name=GetSpellInfo(50227), }
	end
	
	if (GetSpellInfo(23881) ~= nil) then
		-- Bloodthirst
		tmplist[string.lower(GetSpellInfo(23881))] = { color={1,0,0}, name=GetSpellInfo(23881), }
	end
	
	if (GetSpellInfo(12968) ~= nil) then
		-- Flurry
		tmplist[string.lower(GetSpellInfo(12968))] = { color={0.93,0.98,0.51}, name=GetSpellInfo(12968), }
	end
	
	-- Die by the sword
	if (GetSpellInfo(118038) ~= nil) then
		tmplist[string.lower(GetSpellInfo(118038))] = { color={1,0.5,0}, name=GetSpellInfo(118038), }
	end
	
	-- Rallying Cry
	if (GetSpellInfo(97463) ~= nil) then
		tmplist[string.lower(GetSpellInfo(97463))] = { color={0,0,1}, name=GetSpellInfo(97463), }
	end
	
	-- Avatar
	if (GetSpellInfo(107574) ~= nil) then
		tmplist[string.lower(GetSpellInfo(107574))] = { color={1,0,0}, name=GetSpellInfo(107574), }
	end
	
	-- Blood Fury
	if (GetSpellInfo(20572) ~= nil) then
		tmplist[string.lower(GetSpellInfo(20572))] = { color={1,0,0}, name=GetSpellInfo(20572), }
	end
	
	-- Spell Reflection
	if (GetSpellInfo(23920) ~= nil) then
		tmplist[string.lower(GetSpellInfo(23920))] = { color={0,0.5,1}, name=GetSpellInfo(23920), }
	end
	
	-- Berserker Rage
	if (GetSpellInfo(18499) ~= nil) then
		tmplist[string.lower(GetSpellInfo(18499))] = { color={1,0,0}, name=GetSpellInfo(18499), }
	end
	
	
	return tmplist
end